org.restlet.resource

## Interface Result<T>

Type Parameters:
  `T` - The class of the result object returned in case of success.

    public interface Result<T>

Callback interface for asynchronous tasks.

Author:
  Jerome Louvel

### Method Summary

Methods
`void` `onFailure(java.lang.Throwable caught)` Method called back by the associated object when a failure is detected.
`void` `onSuccess(T result)` Method called back by the associated object in case of success.

### Method Detail

#### onFailure

    void onFailure(java.lang.Throwable caught)

Method called back by the associated object when a failure is detected.

Parameters:
  `caught` - The exception or error caught.

#### onSuccess

    void onSuccess(T result)

Method called back by the associated object in case of success.

Parameters:
  `result` - The result object.